## cdrdao 1.1.3

=== scsilib/export/Makefile ===
#ident %W% %E% %Q%
###########################################################################
# Written 1999 by Andreas Mueller
###########################################################################
# Makefile for local dynamic configuration
###########################################################################
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################
SRCROOT=	..
RULESDIR=	RULES
include		$(SRCROOT)/$(RULESDIR)/rules.top
###########################################################################

all: clobber
	$(LN) -s $(SRCROOT)/include libschily
	$(LN) -s $(SRCROOT)/libscg/scg scg
	$(LN) -s $(SRCROOT)/incs/$(OARCH)/xconfig.h xconfig.h
	$(LN) -s $(SRCROOT)/libs/$(OARCH)/libschily.a libschily.a
	$(LN) -s $(SRCROOT)/libs/$(OARCH)/libscg.a libscg.a 

clobber:
	$(RM_F) libschily scg xconfig.h libschily.a libscg.a

distclean: clobber

OTHERTARGETS=	clean install ibins depend rmdep \
		TAGS tags rmtarget relink

$(OTHERTARGETS):
	@echo "$@: nothing to make"

## cdrdao 1.2.3

=== scsilib/conf/Makefile ===
#ident @(#)Makefile	1.2 04/01/23 
###########################################################################
# Written 1998 by J. Schilling
###########################################################################
# Makefile for local dynamic configuration
###########################################################################
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; see the file COPYING.  If not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
###########################################################################
SRCROOT=	..
RULESDIR=	RULES
include		$(SRCROOT)/$(RULESDIR)/rules.top
###########################################################################

CONFFILES=	Inull rules.cnf xconfig.h

PCONFFILES=	$(CONFFILES:%=$(OINCSDIR)/%)

all: config

clobber:
	$(RM_F) $(PCONFFILES)

distclean:
		$(RM) $(RM_RF)		$(PCONFFILES) \
						.vedtmp* *.bak OBJ/* \
						$(SRCROOT)/libs/* $(SRCROOT)/incs/*

###########################################################################
# Now done in rules.top
#include		$(SRCROOT)/$(RULESDIR)/rules.cnf
###########################################################################

OTHERTARGETS=	clean install ibins depend rmdep \
		TAGS tags rmtarget relink

$(OTHERTARGETS):
	@echo "$@: nothing to make"

=== debian/changelog ===
cdrdao (1:1.2.3-4) unstable; urgency=medium

  * QA upload.
  * d/control: Remove gconf-dev from build-deps, Closes: #885821
               add pkg-config instead
  * d/p/remove-gconf.patch: Remove references to gconf and disable xdao
  * d/control: Update standards to 4.1.3 (no changes)

 -- Gert Wollny <gewo@debian.org>  Sun, 14 Jan 2018 11:17:09 +0100

cdrdao (1:1.2.3-3) unstable; urgency=medium

  * QA upload.
  * d/p/21: Add patch to fix compilation with gcc-6, Closes: #811733
  * d/control: Update standards version to 3.9.8 

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 05 Jul 2016 13:14:22 +0000

cdrdao (1:1.2.3-2) unstable; urgency=low

  * QA upload.
  * Do not build the gcdmaster binary package anymore because it depends on the
    obsolete libgnomeuimm library which is going to be removed from Debian.
    (Closes: #707861)
  * debian/control:
    - Drop libgnomeuimm-2.6-dev and libgtkmm-2.4-dev from Build-Depends, they
      are going to be removed from Debian.
    - Add libgconf2-dev and dh-autoreconf to Build-Depends and remove
      autotools-dev.
    - Make libperl4-corelibs-perl | perl (<< 5.12.3-7) a recommendation instead
      of a full dependency. This is acceptable because the example perl scripts
      are not required by cdrdao to function properly. (Closes: #699320)
  * Override lintian warning script-uses-perl4-libs-without-dep.
  * debian/rules:
    - Build with --autoreconf instead with --autotools_dev to recreate the
      whole build system during build time.
    - Disable lame, scglib and xdao support explicitly.
    - Override dh_auto_install and change the destination directory to
      debian/tmp thus no further changes are required for the existing install
      files.

 -- Markus Koschany <apo@gambaru.de>  Sun, 12 May 2013 15:18:48 +0200

cdrdao (1:1.2.3-1) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group.
  * Bump compat level to 9 and use debhelper >=9 for automatic hardening build
    flags.
  * Bump Standards-Version to 3.9.4, no changes required.
  * cdrdao-binary: Add missing dependency on
    libperl4-corelibs-perl | perl (<< 5.12.3-7). (Closes: #658944)
  * Update debian/copyright to copyright format 1.0.
  * Add missing dep3 header to 15-kfreebsd-gnu.patch.
  * debian/patches:
    - Add 18-create-valid-desktop-file.patch and remove deprecated UTF-8
      Encoding entry, fix outdated categories and Icon entry.
    - Add 19-fix-format-not-a-string-literal-error.patch which prevents a FTBFS.
    - Add 20-fix-spelling-and-hypen-used-as-minus.patch which corrects errors of
      the same name in cdrdao's and gcdmaster's manpage.
  * debian/rules:
    - Use dh sequencer to simplify debian/rules and to provide recommended
      build-arch and build-indep targets.
    - Build with --parallel.
    - Use --with autotools_dev addon to provide an up-to-date config.sub and
      config.guess file and do not remove these files in the clean target.
    - Build with --Wl, --as-needed to avoid unnecessary dependencies on
      gcdmaster.
    - Enable all hardening build flags with hardening=+all.
  * Add watch file. Thanks to Bart Martens.

 -- Markus Koschany <apo@gambaru.de>  Tue, 29 Jan 2013 16:46:12 +0100

cdrdao (1:1.2.3-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * 15-kfreebsd-gnu.patch: Fix FTBFS on GNU/kFreeBSD, based on patch from
    Christoph Egger.  (Closes: #644643)
  * 16-gcdmaster-segfault.patch: Fix segfault in gcdmaster, thanks
    Adrian Knoth.  (Closes: #590647)
  * 17-cd-text-hldtst.patch: CD-TEXT support for "HL-DT-ST" "DVDRAM GSA-H42L",
    thanks Kees Cook.  (Closes: #533097)

 -- Robert Millan <rmh@debian.org>  Sun, 08 Apr 2012 18:16:02 +0200

cdrdao (1:1.2.3-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ScsiIf-linux.cc:287:37: error: no matching function for
    call to 'stat::stat(const char [22], stat*)'": add patch 14-stat.h.patch
    (include sys/stat.h) by brian m. carlson.
    Closes: #625005

 -- gregor herrmann <gregoa@debian.org>  Wed, 05 Oct 2011 16:59:54 +0200

cdrdao (1:1.2.3-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release. Closes: #580873.
  * Switch to 3.0 source format to use the pristing upstream tar.bz2.
  * 01-setuid.patch, 03-manpage.patch, 05-excl.patch, 07-cdtext.patch,
    09-gcc-3.4.patch, SigC_namespace: dropped, merged upstream.
  * 02-conffile.patch: regenerated to apply cleanly.
  * 04-device.patch: dropped, obsolete.
  * 06-tocparser.patch: disabled, looks obsolete.
  * 08-dlopen-lame.patch: disabled, we don’t distribute toc2mp3.
  * 10-rules-armel.patch, 11-rules-mips.patch, 12-rules-s390.patch,
    13-rename-functions.patch: disabled, the new version doesn’t use
    this schilyware.
  * Use upstream-provided manual pages.
  * Install GConf schemas.
  * Stop running stuff in scsilib/, it’s not used anymore.

 -- Josselin Mouette <joss@debian.org>  Sun, 04 Jul 2010 15:32:17 +0200

cdrdao (1:1.2.2-18.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with sigc++ 2.2.4.2.  Thanks to Steve Langasek for the
    patch.  (Closes: #569396)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Tue, 27 Apr 2010 20:09:13 +0100

cdrdao (1:1.2.2-18.1) unstable; urgency=low

    * Non-maintainer upload.
    * Import patch by Stefan Potyra to build with new eglibc (Closes:
      #549399)

 -- Christoph Egger <christoph@debian.org>  Tue, 08 Dec 2009 14:37:13 +0100

cdrdao (1:1.2.2-18) unstable; urgency=low

  [ Daniel Baumann ]
  * Replacing obsolete dh_clean -k with dh_prep.
  * Using correct rfc-2822 date formats in changelog.
  * Updating package to standards version 3.8.2.
  * Using quilt rather than dpatch.
  * Using common name for local manpages directory.
  * Updating year in copyright file.
  * Updating rules file to current state of the art.
  * Updating package to standards version 3.8.3.
  * Sorting and wrapping depends.
  * Removing vcs fields.

  [ Christian Hübschi ]
  * New maintainer.



=== debian/control ===
Source: cdrdao
Section: otherosfs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 antlr,
 debhelper (>= 9),
 dh-autoreconf,
 libao-dev,
 libcam-dev [kfreebsd-any],
 libvorbis-dev,
 pkg-config
Standards-Version: 4.1.3
Homepage: http://cdrdao.sourceforge.net/

Package: cdrdao
Architecture: kfreebsd-any linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libperl4-corelibs-perl | perl (<< 5.12.3-7)
Description: records CDs in Disk-At-Once (DAO) mode
 cdrdao records audio or data CD-Rs in disk-at-once (DAO) mode based on a
 textual description of the CD contents.
 .
 Recording in disk-at-once mode writes the complete disc, i.e. lead-in, one or
 more tracks and lead-out, in a single step. The commonly used track-at-once
 (TAO) mode writes each track independently which requires link blocks between
 two tracks. You probably want to use this if you're copying a CD with multiple
 tracks, like most audio CDs.
 .
 cdrdao can also handle the bin/cue format commonly used for VCDs or disks with
 subchannel data.
 .
 If you just want to burn a normal data CD, you probably want wodim instead.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=\$${prefix}/share/man \
		--with-ogg-support \
		--without-lame \
		--without-scglib \
		--without-xdao

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_install:
	rm -f $(CURDIR)/debian/tmp/usr/bin/cue2toc
	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/cue2toc.1
	dh_install

override_dh_compress:
	dh_compress -Xusr/share/doc/cdrdao/examples

override_dh_clean:
	rm -f scsilib/conf/config.guess scsilib/conf/config.sub
	rm -rf scsilib/incs
	rm -rf scsilib/inc/OBJ
	rm -rf scsilib/librscg/OBJ
	rm -rf scsilib/libscg/OBJ
	rm -rf scsilib/libschily/OBJ
	dh_clean

## cdrdao 1.2.4

=== scsilib/Makefile ===
#ident %W% %E% %Q%
###########################################################################
SRCROOT=	.
DIRNAME=	SRCROOT
RULESDIR=	RULES
include		$(SRCROOT)/$(RULESDIR)/rules.top
###########################################################################

include		$(SRCROOT)/TARGETS/Targetdirs

###########################################################################
# Due to a bug in SunPRO make we need special rules for the root makefile
#
include		$(SRCROOT)/$(RULESDIR)/rules.rdi
###########################################################################

install:
	@

check:

uninstall:
	@

distclean: clean

=== scsilib/librscg/Makefile ===
#ident "%W% %E% %Q%"
###########################################################################
SRCROOT=	..
RULESDIR=	RULES
include		$(SRCROOT)/$(RULESDIR)/rules.top
###########################################################################

MK_FILES= librscg.mk

###########################################################################
include		$(SRCROOT)/$(RULESDIR)/rules.mks
###########################################################################

=== debian/changelog ===
cdrdao (1:1.2.4-3build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:51:13 +0200

cdrdao (1:1.2.4-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 19:08:46 +0100

cdrdao (1:1.2.4-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Add missing colon in closes line.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 06 Feb 2021 14:33:08 +0000

cdrdao (1:1.2.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.2.4
  * Migrated DH level to 11.
  * d/control:
     - Add Vcs-* URLs.
     - Drop dh-autoreconf dependency because it is enabled by default since
       debhelper compatibility level 10.
     - Update debhelper version to 11.
     - Update Standards-Version to 4.1.5.
  * d/copyright:
     - Using a secure URI in Format field.
  * d/p/:
     - Add Fix-typos-in-binaries-cdrdao-cue2toc-toc2cddb.patch: Fix typos in
       binaries cdrdao, cue2toc, toc2cddb.
     - Drop 15-kfreebsd-gnu.patch: The upstream fixed the source code.
     - Drop 16-gcdmaster-segfault.patch: The upstream fixed the source code.
     - Drop 17-cd-text-hldtst.patch: The upstream fixed the source code.
     - Drop 18-create-valid-desktop-file.patch: The upstream fixed the source
       code.
     - Drop 19-fix-format-not-a-string-literal-error.patch: The upstream fixed
       the source code.
     - Drop 20-fix-spelling-and-hyphen-used-as-minus.patch: The upstream fixed
       the source code.
     - Drop 21-fix-gcc-6.patch: The upstream fixed the source code.
     - Updated remove-gconf.patch: This patch removed dependency on gconf and
       also disabled the gcdmaster build. It has been updated to remove only
       gconf dependency while gcdmaster is disabled by rules.
  * d/rules:
     - Drop --parallel: Removed because it is the default.
     - Drop --with autoreconf: dh-autoreconf is enabled by default since
       debhelper compatibility level 10.
     - Drop --without-xdao option: No such option in this new version.
     - Removed trailing whitespaces.
  * d/series: Removed the patches that were commented out.
  * d/watch:
     - Updated to version 4.
     - Using a secure URI.

 -- Franciscarlos Santos Soares <prof.franciscarlos@gmail.com>  Wed, 11 Jul 2018 13:18:51 -0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: cdrdao
 Section: otherosfs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends:
- antlr,
- debhelper (>= 9),
- dh-autoreconf,
- libao-dev,
- libcam-dev [kfreebsd-any],
- libvorbis-dev,
- pkg-config
-Standards-Version: 4.1.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: antlr,
+               debhelper-compat (= 13),
+               libao-dev,
+               libcam-dev [kfreebsd-any],
+               libvorbis-dev,
+               pkg-config
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: http://cdrdao.sourceforge.net/
+Vcs-Browser: https://salsa.debian.org/debian/cdrdao
+Vcs-Git: https://salsa.debian.org/debian/cdrdao.git
 
 Package: cdrdao
 Architecture: kfreebsd-any linux-any

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,8 @@
 #!/usr/bin/make -f
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -12,8 +11,7 @@
 		--mandir=\$${prefix}/share/man \
 		--with-ogg-support \
 		--without-lame \
-		--without-scglib \
-		--without-xdao
+		--without-scglib
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://qa.debian.org/watch/sf.php/cdrdao/cdrdao-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|jar)

## cdrdao 1.2.5

=== debian/changelog ===
cdrdao (1:1.2.5-3) unstable; urgency=medium

  * d/p/*:
    - Add patch to fix FTBFS with GCC-15 (Closes: #1096421).
    - remove-gconf.patch: Update header to DEP-3 and document forwarded state.
    - 02-conffile.patch: Update header to DEP-3 and document forwarded state.
    - enhance-gcdmaster-desktop.patch: Document forwarded state.
    - typos-and-spelling-errors.patch: Document forwarded state.
  * d/copyright: Fix lintian warning old-fsf-address-in-copyright-file.

 -- Sven Geuer <sge@debian.org>  Fri, 22 Aug 2025 17:27:38 +0200

cdrdao (1:1.2.5-2) unstable; urgency=medium

  * d/p/*: Add patch to correctly evaluate result returned by Toc::write()
    (Closes: #1100713).
  * d/copyright: Bump Debian copyright years to 2025.
  * d/control: Bump Standards-Version to 4.7.2.

 -- Sven Geuer <sge@debian.org>  Wed, 19 Mar 2025 23:03:13 +0100

cdrdao (1:1.2.5-1) unstable; urgency=medium

  * Import new upstream version 1.2.5.
  * Reintroduce the gcdmaster package (Closes: #1029512).
  * d/p/*:
    - Drop patches applies upstream:
      - 0004-Fix-typos.patch
      - 14-stat.h.patch
    - Adapt other patches to new upstream version.
    - Add patches to fix two bugs discovered upstream after the release:
      - version-command.patch
      - uninitialized-toc-data-file-name.patch
    - Add patch to convert latin1 strings to utf-8.
    - Add patch to drop acute accents from manual page.
    - Add patch to fix various typos and spelling errors.
    - Add patch to enhance and correct gcdmaster.desktop.
  * d/t/*:
    - Introduce superficial autopkgtests.
  * d/control:
    - Set myself as Maintainer (Closes: #697287).
    - Drop antlr from Build-Depends, it is not needed at all.
    - Drop configurations related to kfreebsd.
    - Update build dependency pkg-config to pkgconf.
    - Bump Standards-Version to 4.7.0.
    - Update Homepage to point to a secure URI.
    - Drop Recommends of out-dated perl version.
    - Reduce Recommends to Suggests regarding libperl4-corelibs-perl.
    - Add the stanza for the gcdmaster package.
  * d/rules:
    - Drop the override_dh_clean target, it is not needed anymore.
    - Drop the override_dh_auto_install target, it is not needed anymore.
    - Rework override_dh_install to execute_after_dh_auto_install.
  * d/*.install, d/*.manpages:
    - To install manual pages, use only dh_installman, do not use dh_install.
      Hence move all manual pages from *.install to *.manpages.
  * d/cdrdao.lintian-overrides:
    - Update the override so that lintian recognizes it (again).
  * d/u/metadata:
    - Add upstream metadata file.
  * d/copyright:
    - Update Source to a secure URI, update years, add missing copyright
      holders.
  * Apply 'wrap-and-sort -at'.

 -- Sven Geuer <sge@debian.org>  Fri, 09 Aug 2024 10:52:09 +0200

=== debian/control ===
Source: cdrdao
Section: otherosfs
Priority: optional
Maintainer: Sven Geuer <sge@debian.org>
Build-Depends: debhelper-compat (= 13),
               libao-dev,
               libgtkmm-3.0-dev,
               libsigc++-2.0-dev,
               libvorbis-dev,
               pkgconf,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://cdrdao.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/cdrdao
Vcs-Git: https://salsa.debian.org/debian/cdrdao.git

Package: cdrdao
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: libperl4-corelibs-perl,
Description: records CDs in Disk-At-Once (DAO) mode
 cdrdao records audio or data CD-Rs in disk-at-once (DAO) mode based on a
 textual description of the CD contents.
 .
 Recording in disk-at-once mode writes the complete disc, i.e. lead-in, one or
 more tracks and lead-out, in a single step. The commonly used track-at-once
 (TAO) mode writes each track independently which requires link blocks between
 two tracks. You probably want to use this if you're copying a CD with multiple
 tracks, like most audio CDs.
 .
 cdrdao can also handle the bin/cue format commonly used for VCDs or disks with
 subchannel data.
 .
 If you just want to burn a normal data CD, you probably want wodim instead.

Package: gcdmaster
Architecture: linux-any
Section: sound
Depends: cdrdao (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: GNOME GUI for cdrdao
 GNOME CD Master is a GUI frontend for creating audio CDs and burning them using
 cdrdao.
 .
 Features:
  * Easy to use graphical interface
  * Multiple project support
  * Playing of Audio CD images
  * Easy dump of CDs to disk
  * CD to CD copy
  * Composition of new Audio CDs from wav files
  * Graphical insertion of Track Marks (to divide live recordings)
  * Easy CD-TEXT modification

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=\$${prefix}/share/man \
		--with-ogg-support \
		--without-lame \
		--without-scglib

execute_after_dh_auto_install:
	rm -f debian/tmp/usr/bin/cue2toc
	rm -f debian/tmp/usr/share/man/man1/cue2toc.1

override_dh_compress:
	dh_compress -Xusr/share/doc/cdrdao/examples

=== debian/tests/control ===
Tests: various-checks
Restrictions: superficial

=== debian/watch ===
version=4
https://sf.net/cdrdao/ \
cdrdao-@ANY_VERSION@@ARCHIVE_EXT@

## cdrdao 1.2.6

=== debian/changelog ===
cdrdao (1:1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6
  * d/p/*: Adapt patches to the new upstream version.
  * d/control: Drop 'Rules-Requires-Root: no', it's the default now.
  * d/copyright: Correct upstream copyright years based on the git history.

 -- Sven Geuer <sge@debian.org>  Sun, 07 Dec 2025 16:00:54 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                libvorbis-dev,
                pkgconf,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://cdrdao.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/debian/cdrdao
 Vcs-Git: https://salsa.debian.org/debian/cdrdao.git

=== debian/watch ===
# Cannot use the Github template due to upstream's unusual tags
Version: 5
Dversion-Mangle: tr/\./_/
Oversion-Mangle: tr/_/./
Search-Mode: plain	
Source: https://api.github.com/repos/cdrdao/cdrdao/git/matching-refs/tags/
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/rel_(\d[\d_]*)
Download-Url-Mangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g
